> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Availability

> A `POST` to the `/profiles/availability` endpoint allows your application get the availability of an email or mobile

# Check the availability of an Omneo profile by Email or Mobile

The /availability endpoint allows developers to check if an Omneo profile exists matching either an `email` or `mobile_phone`
This endpoint can be used to check for a customers Omneo profile, as form validation, before creating a profile, or quickly get a customers id or full name, providing only an email or phone number.

| Attribute              | Description                                                                         |
| ---------------------- | ----------------------------------------------------------------------------------- |
| available `BOOLEAN`    | Will be returned `true` if a match has been found. and `false` if no match is found |
| email `STRING`         | A valid email to search for an Omneo profile                                        |
| mobile\_phone `STRING` | A valid E.164 Mobile number to search for an Omneo Profile                          |

```json theme={null}
{
    "data": {
        "email": {
            "available": false,
            "profile": {
                "id": "92bb9859-9d4f-465e-8905-13c6c02fb1c6",
                "full_name": "John Smith"
            }
        },
        "mobile_phone": {
            "available": true,
            "profile": null
        }
    }
}
```


## OpenAPI

````yaml post /v3/profiles/availability
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/availability:
    post:
      tags:
        - Profile
      summary: Check Availability
      description: >-
        A `POST` to the `/profiles/availability` endpoint allows your
        application get the availability of an email or mobile
      operationId: profile.availability
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckAvailability'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type:
                        - object
                        - 'null'
                      properties:
                        available:
                          type: boolean
                        profile:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                          required:
                            - id
                      required:
                        - available
                        - profile
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CheckAvailability:
      type: object
      properties:
        email:
          type:
            - string
            - 'null'
          format: email
        mobile_phone:
          type:
            - string
            - 'null'
      title: CheckAvailability
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````